# This file controls the behavior of Trunk: https://docs.trunk.io/cli
# To learn more about the format of this file, see https://docs.trunk.io/reference/trunk-yaml
version: 0.1
cli:
  version: 1.21.0
plugins:
  sources:
    - id: trunk
      ref: v1.4.5
      uri: https://github.com/trunk-io/plugins
runtimes:
  enabled:
    - node@18.12.1
    - python@3.10.8
lint:
  enabled:
    - checkov@3.2.44
    - git-diff-check
    - hadolint@2.12.0
    - markdownlint@0.39.0
    - osv-scanner@1.7.0
    - oxipng@9.0.0
    - prettier@3.2.5
    - terrascan@1.19.1
    - trivy@0.50.0
    - trufflehog@3.70.3
    - yamllint@1.35.1
actions:
  disabled:
    - trunk-announce
    - trunk-check-pre-push
    - trunk-fmt-pre-commit
  enabled:
    - trunk-upgrade-available
